Bug 813183 - Start timer event does not trigger
Start timer event does not trigger
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kris Verlaenen
Tomas Schlosser
:
Depends On:
Blocks: 1102116
  Show dependency treegraph
 
Reported: 2012-04-17 03:22 EDT by Tomas Schlosser
Modified: 2014-05-28 10:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1102116 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2012-04-17 03:22:00 EDT
Description of problem:
When using start timer event with timerDelay attribute, it is never triggered. Tried calling fireAllRules() and starting process by startProcess(). fireAllRules does nothing and startProcess() starts the process right away.

Version-Release number of selected component (if applicable):
BRMS-5.3.0.ER5

How reproducible:
every time

Additional info:
pull request will follow
Comment 1 Tomas Schlosser 2012-04-17 03:31:37 EDT
pull request #87 was opened
Comment 2 Kris Verlaenen 2012-04-22 20:02:00 EDT
Currently, only start timers using timeCycle are supported.  Timer definitions can take two formats (and are internally translated into timer rules):

1) int timers: the given value is used as delay + cycle, so process will fire every time the period is over
For example:
    <startEvent id="_1" name="StartProcess" >
      <timerEventDefinition>
        <timeCycle xsi:type="tFormalExpression">500ms</timeCycle>
      </timerEventDefinition>
    </startEvent>
Int timer tranlates int timer rule: timer (int:period period)

2) cron timers (timer language is set to "cron") uses a cron expression to determine when the process should fire
translates into cron timer rule
    <startEvent id="_1" name="StartProcess" >
      <timerEventDefinition>
        <timeCycle xsi:type="tFormalExpression" language="cron">0/1 * * * * ?</timeCycle>
      </timerEventDefinition>
    </startEvent>
Comment 3 Tomas Schlosser 2012-04-24 01:30:00 EDT
Adding tecnical_note to make sure this is properly documented.
Comment 4 lcarlon 2012-05-30 19:30:26 EDT
Sorry Tomas, 

adding the technical note flag to a bug that doesn't have the product release flag doesn't trigger any docs alerts. The technical_note flag should only be used for issues that require an entry in the release notes. A better way would be to raise a docs bug or reassign the bug to me with a note stating what needs to be done.

I've removed the timerDelay entry from the Process Overview chapter.

Thanks
Lee

Note You need to log in before you can comment on or make changes to this bug.